Subject: RE: iSCSI CRC considerations

From: "Douglas Otis" <[email-masked]>
Date: Tue, 27 Feb 2001 13:34:46 -0800

Dafna,

I simply said reference (by means of source libraries containing Adler-32)
with respect to Deflate et. al.

This protection is not for serial bursts as this is already detected by
CRC-32.  There is a trade-off with respect to performance.  Types of errors
within a network are influenced by gaps in current protection.  If using
software, then Adler-32 offers advantages in performance that could be
suitable for remaining errors.

Doug

> Doug,
>
> We explicitly said that either modulo (as originally in RFC1950) or some
> test (as you showed) is necessary.
> (In fact, there is even a better tradeoff between (1) calculating
> a maximal
> number of additions that can be
> made for sure before the modulo needs to be addressed at all, and (2)
> taking the test for each input
> char).
>
> RCF1951 and RFC1952 describe the popular DEFLATE format used in Gzip and
> PKZIP, to which Adler
> contributed valuably. They do not mention the Adler-32 checksum.  The same
> goes to RFC 1979 and RFC 2394.
>
> We agree that CRC is slower in software implementation than Adler-32.
> But, Adler can detect much less errors, as we pointed out,  than CRC.
> There are too simple error patterns that are missed by Adler.
>
> Dafna Sheinwald.
>
>
>
>

---

From: [email-masked]
Date: Tue, 27 Feb 2001 12:43:44 +0200

Doug,

(In fact, there is even a better tradeoff between (1) calculating a maximal

Dafna Sheinwald.